Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class OceanTheme

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              javax.swing.plaf.metal.OceanTheme

    public class OceanTheme

extends DefaultMetalTheme

This class provides an updated look for applications using `MetalLookAndFeel`. The designers of the Metal Look and Feel strive to keep the default look up to date, possibly through the use of new themes in the future. Therefore, developers should only use this class directly when they wish to customize the "Ocean" look, or force it to be the current theme, regardless of future updates.``

Since:
  1.5
See Also:
  `MetalLookAndFeel.setCurrentTheme(javax.swing.plaf.metal.MetalTheme)`

Constructor Summary
`OceanTheme()` Construct an instance of `OceanTheme`

Method Summary
`void` | `addCustomEntriesToTable(UIDefaults table)` Add this theme's custom entries to the defaults table.
`protected ColorUIResource` | `getBlack()` Return the color that the Metal Look and Feel should use as "Black".
`ColorUIResource` | `getControlTextColor()` Return the color that the Metal Look and Feel should use as the default color for controls.
`ColorUIResource` | `getDesktopColor()` Return the color that the Metal Look and Feel should use for the desktop background.
`ColorUIResource` | `getInactiveControlTextColor()` Return the color that the Metal Look and Feel should use as the default color for inactive controls.
`ColorUIResource` | `getMenuDisabledForeground()` Return the color that the Metal Look and Feel should use as the foreground color for disabled menu items.
`String` | `getName()` Return the name of this theme, "Ocean".
`protected ColorUIResource` | `getPrimary1()` Return the color that the Metal Look and Feel should use as "Primary 1".
`protected ColorUIResource` | `getPrimary2()` Return the color that the Metal Look and Feel should use as "Primary 2".
`protected ColorUIResource` | `getPrimary3()` Return the color that the Metal Look and Feel should use as "Primary 3".
`protected ColorUIResource` | `getSecondary1()` Return the color that the Metal Look and Feel should use as "Secondary 1".
`protected ColorUIResource` | `getSecondary2()` Return the color that the Metal Look and Feel should use as "Secondary 2".
`protected ColorUIResource` | `getSecondary3()` Return the color that the Metal Look and Feel should use as "Secondary 3".

Methods inherited from class javax.swing.plaf.metal.DefaultMetalTheme
`getControlTextFont, getMenuTextFont, getSubTextFont, getSystemTextFont, getUserTextFont, getWindowTitleFont`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getFocusColor, getHighlightedTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuForeground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getSystemTextColor, getTextHighlightColor, getUserTextColor, getWhite, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OceanTheme

    public OceanTheme()

  Construct an instance of `OceanTheme`

Method Detail

### addCustomEntriesToTable

    public void addCustomEntriesToTable(UIDefaults table)

  Add this theme's custom entries to the defaults table.

  Overrides:
    `addCustomEntriesToTable` in class `MetalTheme`
  Parameters:
    `table` - the defaults table, non-null
  Throws:
    `NullPointerException` - if the parameter is null

### getName

    public String getName()

  Return the name of this theme, "Ocean".

  Overrides:
    `getName` in class `DefaultMetalTheme`
  Returns:
    "Ocean"

### getPrimary1

    protected ColorUIResource getPrimary1()

  Return the color that the Metal Look and Feel should use as "Primary 1". The Look and Feel will use this color in painting as it sees fit.

  Overrides:
    `getPrimary1` in class `DefaultMetalTheme`
  Returns:
    the "Primary 1" color.

### getPrimary2

    protected ColorUIResource getPrimary2()

  Return the color that the Metal Look and Feel should use as "Primary 2". The Look and Feel will use this color in painting as it sees fit.

  Overrides:
    `getPrimary2` in class `DefaultMetalTheme`
  Returns:
    the "Primary 2" color.

### getPrimary3

    protected ColorUIResource getPrimary3()

  Return the color that the Metal Look and Feel should use as "Primary 3". The Look and Feel will use this color in painting as it sees fit.

  Overrides:
    `getPrimary3` in class `DefaultMetalTheme`
  Returns:
    the "Primary 3" color.

### getSecondary1

    protected ColorUIResource getSecondary1()

  Return the color that the Metal Look and Feel should use as "Secondary 1". The Look and Feel will use this color in painting as it sees fit.

  Overrides:
    `getSecondary1` in class `DefaultMetalTheme`
  Returns:
    the "Secondary 1" color.

### getSecondary2

    protected ColorUIResource getSecondary2()

  Return the color that the Metal Look and Feel should use as "Secondary 2". The Look and Feel will use this color in painting as it sees fit.

  Overrides:
    `getSecondary2` in class `DefaultMetalTheme`
  Returns:
    the "Secondary 2" color.

### getSecondary3

    protected ColorUIResource getSecondary3()

  Return the color that the Metal Look and Feel should use as "Secondary 3". The Look and Feel will use this color in painting as it sees fit.

  Overrides:
    `getSecondary3` in class `DefaultMetalTheme`
  Returns:
    the "Secondary 3" color.

### getBlack

    protected ColorUIResource getBlack()

  Return the color that the Metal Look and Feel should use as "Black". The Look and Feel will use this color in painting as it sees fit. This color does not necessarily synch up with the typical concept of black, nor is it necessarily used for all black items.

  Overrides:
    `getBlack` in class `MetalTheme`
  Returns:
    the "Black" color.

### getDesktopColor

    public ColorUIResource getDesktopColor()

  Return the color that the Metal Look and Feel should use for the desktop background. The Look and Feel will use this color in painting as it sees fit.

  Overrides:
    `getDesktopColor` in class `MetalTheme`
  Returns:
    the "Desktop" color.

### getInactiveControlTextColor

    public ColorUIResource getInactiveControlTextColor()

  Return the color that the Metal Look and Feel should use as the default color for inactive controls. The Look and Feel will use this color in painting as it sees fit.

  Overrides:
    `getInactiveControlTextColor` in class `MetalTheme`
  Returns:
    the "Inactive Control Text" color.

### getControlTextColor

    public ColorUIResource getControlTextColor()

  Return the color that the Metal Look and Feel should use as the default color for controls. The Look and Feel will use this color in painting as it sees fit.

  Overrides:
    `getControlTextColor` in class `MetalTheme`
  Returns:
    the "Control Text" color.

### getMenuDisabledForeground

    public ColorUIResource getMenuDisabledForeground()

  Return the color that the Metal Look and Feel should use as the foreground color for disabled menu items. The Look and Feel will use this color in painting as it sees fit.

  Overrides:
    `getMenuDisabledForeground` in class `MetalTheme`
  Returns:
    the "Menu Disabled Foreground" color.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.